jQuery(document).ready(function () {
	
	$("form input[id=FRegSal028Des]").attr("readonly", "readonly");
	$("form input[id=NRegSal028Des]").attr("readonly", "readonly");
	$("form input[id=FNotif028Des]").attr("readonly", "readonly");
	
	
	$("#FRegSal028Des").rup_date({datetimepicker: true, readonly: true});

	bloqueaSelectorDocumento();

	var hayDoc = contarDocs ();
	var estaEnDokusi= enDokusi();
	//Botonera guardar datos expediente
	if(estaEnDokusi==false){//Si el documento esta en dokusi, no mostrar toolbar 
		if(hayDoc==true){
			$("#gestionarDocsDes_toolbar").rup_toolbar({
			buttons:
				[{id:"BorrarDocumento", i18nCaption:$.rup.i18n.app.botones.BorrarDoc, left:true, click:fn_borrar_Des},
				 {id:"EditarDocumento", i18nCaption:$.rup.i18n.app.botones.EditarDoc, left:true, click:fncDescargaDocumentoPif},
				 {id:"FirmarDocumento", i18nCaption:$.rup.i18n.app.botones.FirmarDoc, left:true, click:fncSubirDocumentoDokusiDes}]
		});
		}else{
			$("#gestionarDocsDes_toolbar").rup_toolbar({
			buttons:
				[{id:"GenerarDocumento", i18nCaption:$.rup.i18n.app.botones.GenerarDoc, left:true, click:fn_generar_Des},
				 {id:"DeshacerDesistimiento", i18nCaption:$.rup.i18n.app.botones.DeshacerDesistimiento, left:true, click:fn_deshacer_Des}]
		});
		}
	}
	function contarDocs (){
		var docs = pk_numDocPIF;
		if(docs!=pk_numDocPIF != undefined && pk_numDocPIF != null && pk_numDocPIF != ''){
			return true;
		}
		return false;
	}
	function enDokusi(){
		var docsDokusi = pk_nomDocDokusi;
		if(docsDokusi!= pk_nomDocDokusi != undefined && pk_nomDocDokusi != null && pk_nomDocDokusi!= ''){
			return true;
		}
		return false;
	}
	function bloqueaSelectorDocumento() {
		var varDisabled = null;
		if (hayDocumento) {
			varDisabled = "readonly";
		}
		$("form textarea[id=observaciones]").attr("readonly", varDisabled);
	}
	

function fn_generar_Des (){
	 var tipoDocumento= "Desistimiento";
	 var idExpediente = $("#idProv024").val()+"/"+$("#idAno024").val()+"/"+$("#id024").val();
	 var idFase=$("#id017Fase").val();
	 var id028=$("#id028").val();
	
		 $.rup_ajax({
				url: $.rup.CTX_PATH + "documentoRERA/generarDocumento",
				dataType: 'json',
				cache:false,
				data:{
					"idExpediente" : idExpediente,
					"observacionesEs" : $("#observacionesEsDes").val(),
					"observacionesEu" : $("#observacionesEuDes").val(),
					"FRegSal028" : $("#FRegSal028Des").rup_date("getDate"),
					"NRegSal028" : $("#NRegSal028Des").val(),
					"idFase":idFase,"id028":id028,
					"tipoDocumento": tipoDocumento
				},
				type:"GET",
				contentType: 'application/json',
				success: function(xhr, ajaxOoptions){
					fncEditarPifSuccessDes(xhr.rutaCompleta);
					location.href = "../../../"+ idExpediente + "?idFase="+idFase+"&id028="+id028+"&accionOK=true";
				},
				error: function(error){
					ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#feedbackMensajes"));
					$("#FRegSal028Des").rup_date("setDate", null);
					$("#NRegSal028Des").val("");
				},
				beforeSend : function() {
					ab03bUtils.util.bloquearInterfaz();
				},
				complete: function() {
					ab03bUtils.util.desBloquearInterfaz();
				}
			});
	};
	
function fn_deshacer_Des(){
	var idExpediente = $("#idProv024").val()+"/"+$("#idAno024").val()+"/"+$("#id024").val();
	var id028=$("#id028").val();
	$.rup_messages("msgConfirm", {
		message: $.rup.i18n.app.mensajes.confirmDeshacerDesistimiento,
		title: "",
		OKFunction: function () {
			$.rup_ajax({
				url : $.rup.CTX_PATH + "expedientesRERA/detalle/tramitacion/eliminarTramite",
				dataType: 'json',
				data: {"idExpediente": idExpediente, "id028":id028},
		    	type: "GET",
		    	contentType: 'application/json',
				success: function (mapaRespuesta){
					location.href = $.rup.CTX_PATH + "ab03b24v00/irDetalle/" + idExpediente;
				},
				error: function(error){
					ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
				},
				beforeSend : function() {
					ab03bUtils.util.bloquearInterfaz();
				},
				complete: function() {
					ab03bUtils.util.desBloquearInterfaz();
				}
			});
		}
	});
};
});
function fn_borrar_Des(){
	var idExpediente = $("#idProv024").val()+"/"+$("#idAno024").val()+"/"+$("#id024").val();
	var idFase=$("#id017Fase").val();
	var id028=$("#id028").val();
	$.rup_messages("msgConfirm", {
		message: $.rup.i18n.app.mensajes.confirmDeshacerDesistimiento,
		title: "",
		OKFunction: function () {
			$.rup_ajax({
				url : $.rup.CTX_PATH + "expedientesRERA/detalle/tramitacion/eliminarDoc",
				cache:false,
				dataType: 'json',
				data: {"idExpediente": idExpediente, "id028":id028},
		    	type: "GET",
		    	contentType: 'application/json',
				success: function (mapaRespuesta){
					location.href = "../../../" + idExpediente+ "?idFase="+idFase+"&id028="+id028;
				},
				error: function(error){
					ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
				},
				beforeSend : function() {
					ab03bUtils.util.bloquearInterfaz();
				},
				complete: function() {
					ab03bUtils.util.desBloquearInterfaz();
				}
			});
		}
	});
};
	
function fncDescargaDocumentoPif(){//Des
	var id029= pk_id029;
	var rutaPif="ab03b";
	
	 $.rup_ajax({
			url: $.rup.CTX_PATH + "documentoRERA/editarPif",
			dataType: 'json',
			data:{
				"idExpediente" : idExpediente,
				"id029" : id029,
				"rutaPif":rutaPif
			},
		cache:false,
		type:"GET",
		contentType: 'application/json',
		success: function(xhr, ajaxOoptions){
			fncEditarPifSuccessDes(xhr.rutaCompleta); 
		},
		error: function(error){
			ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#feedbackMensajes"));
		},
		beforeSend : function() {
			ab03bUtils.util.bloquearInterfaz();
		},
		complete: function() {
			ab03bUtils.util.desBloquearInterfaz();
		}
		});
}
function fncEditarPifSuccessDes(rutaPifCopia){
	
	var v = window.open(rutaPifCopia);
	if (v!=null)
	{
	v.close();	
	}
	
}

function fncSubirDocumentoDokusiDes(){
	var id029= pk_id029;
	var id007= pk_tipoDocDokusi;
	var rutaPif="ab03b";
	var idPIF = pk_numDocPIF;
	var idExpediente = $("#idProv024").val()+"/"+$("#idAno024").val()+"/"+$("#id024").val();
	var idFase=$("#id017Fase").val();
	var id028=$("#id028").val();
	
	$.rup_ajax({
		url: $.rup.CTX_PATH + "expedientesRERA/detalle/tramitacion/subirADokusi",
		dataType: 'json',
		data:{
			"idExpediente" : idExpediente,
			"idPIF" : idPIF,
			"id007" : id007,
			"id029" : id029,
			"rutaPif":rutaPif
		},
		cache:false,
		type:"GET",
		contentType: 'application/json',
		success: function(xhr, ajaxOoptions){
			location.href = "../../../"+ idExpediente + "?idFase="+idFase+"&id028="+id028+"&accionOK=true";
			location.reload();
		},
		error: function(error){
			ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#feedbackMensajes"));
		},
		beforeSend : function() {
			ab03bUtils.util.bloquearInterfaz();
		},
		complete: function() {
			ab03bUtils.util.desBloquearInterfaz();
		}
	});
}
function fncDescargaDocumentoDokusiDes(){
	var id029= pk_id029;
	window.location.assign($.rup.CTX_PATH + "documentoRERA/descargarFichero?codDocumento=" + id029 );
			
}
